const colorsMap = {
  maple: '#ED5153',
  mapleLite: '#FEE3E3',
  mapleDark: '#B93435',
  moss: '#3DD164',
  mossLite: '#E0F8E6',
  mossDark: '#35B858',
  dive: '#323A45',
  diveLite: '#425B75',
  diveMedium: '#34495E',
  night: '#0C0D0D',
  nightLite: '#212424',
  nightMedium: '#181A1A',
  snow: '#FFFFFF',
  snowLite: '#FCFCFC',
  snowMedium: '#F9F9F9',
  snowDark: '#E1E4E5',
  sand: '#F39C26',
  sandLite: '#FDEBD0',
  sandDark: '#E69524',
  lemon: '#F1F326',
  lemonLite: '#FCFCD3',
  lemonDark: '#ECDE36',
  water: '#2BCDFC',
  waterLite: '#E9FAFE',
  waterDark: '#2875C6',
  rock: '#494C4C',
  rockLite: '#C4CACC',
  rockMedium: '#ABB3B3',
  rockDark: '#848A8A'
};

const colorsVars = Object.keys(colorsMap).reduce((obj, colorName) => {
  // eslint-disable-next-line no-param-reassign
  obj[`${colorName}`] = `${colorsMap[colorName]}`;
  return obj;
}, {});

module.exports = {
  colorsMap,
  colorsVars,
};

