const scale = [12, 14, 16, 20, 22, 26];
const scaleVars = scale.reduce((obj, scale) => {
  // eslint-disable-next-line no-param-reassign
  obj[`font-size-${scale}`] = `${scale / 16}rem`;
  return obj;
}, {});


const fontFamilies = {
  serif: 'serif',
  'sans-serif': 'LatoWeb, Helvetica Neue, Helvetica, Arial, sans-serif',
  monospace: 'monospace',
};

module.exports = {
  fontFamilies,
  scale,
  scaleVars,
};
